{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 21-04-2003
  Versión actual: 1.0.0
  Fecha versión actual: 21-04-2003
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit CambiarSituacionPresupuesto;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  RdxFrame, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras, RdxCheckBox,
  StdCtrls, RdxCampos, Configuracion, dxCntner, dxEditor, dxExEdtr, dxEdLib,
  cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit, cxDropDownEdit,
  cxCalendar, RdxComboBox;

type
  TfrCambiarSituacionPresupuesto = class(TRdxFrame)
    eInformacion: TLabel;
    eFechaDecision: TLabel;
    brOperacion: TRdxBarraInferior;
    bGuardar: TRdxBoton;
    bCancelar: TRdxBoton;
    FechaDecision: TcxDateEdit;
    cbxSituacion: TRdxComboBox;
    Label1: TLabel;
    procedure bGuardarClick(Sender: TObject);
    procedure bCancelarClick(Sender: TObject);
  private
    FCodigoPresupuesto : String;
    FSituacion : String;
    procedure SetSituacion(Value : String);
  public
    property CodigoPresupuesto : String read FCodigoPresupuesto write FCodigoPresupuesto;
    property Situacion : String read FSituacion write SetSituacion;
    constructor Create (AOwner : TComponent); override;
  end;

var
  frCambiarSituacionPresupuesto: TfrCambiarSituacionPresupuesto;

implementation

{$R *.DFM}

uses
  TablaPresupuestos, InformePresupuesto, Tipos, BaseDatos, StrFunc,
  RdxEmpresaActiva;
{ TfrEmitirPedidoProveedor }

procedure TfrCambiarSituacionPresupuesto.bGuardarClick(Sender: TObject);
begin
  if not dmTablaPresupuestos.ModificarSituacionPresupuesto(EmpresaActiva.Codigo, CodigoPresupuesto, cbxSituacion.Text, StrToDate(FechaDecision.Text)) then
  begin
    dmBaseDatos.Rollback;
    exit;
  end;
  dmBaseDatos.Commit;
  CloseFrame;
end;

procedure TfrCambiarSituacionPresupuesto.bCancelarClick(Sender: TObject);
begin
  CloseFrame;
end;

constructor TfrCambiarSituacionPresupuesto.Create(AOwner: TComponent);
begin
  inherited;
  FechaDecision.Date := Date;
  cbxSituacion.Items := dmTablaPresupuestos.darSituaciones;
end;

procedure TfrCambiarSituacionPresupuesto.SetSituacion(Value: String);
begin
  if not esCadenaVacia(Value) then
  begin
    FSituacion := Value;
    cbxSituacion.ItemIndex := cbxSituacion.Items.indexof(FSituacion);
  end;
end;

end.
